%def_without	debug
%def_with	branding
%def_with	svg
%def_with	sqlite
%def_without	libxul
%def_with	mozldap
%def_with	hunspell
%def_with	enigmail
%def_with	lightning
%def_with	gnome

%if_with debug
%set_strip_method none
%endif # debug

%define tbird_prefix                 %_libdir/%name
%define tbird_datadir                %_datadir/%name
%define tbird_idldir                 %_datadir/idl/%name
%define tbird_includedir             %_includedir/%name

%define tbird_arch_extensionsdir     %tbird_prefix/extensions
%define tbird_noarch_extensionsdir   %tbird_datadir/extensions


Summary:        Thunderbird is Mozilla's e-mail client
Name:           thunderbird
Version:        3.1.9
Release:        alt0.20110409.M50P.1
License:        MPL/GPL
Group:          Networking/Mail
URL:            http://www.mozillamessaging.com

Packager:	Alexey Gladkov <legion@altlinux.ru>

Source0:	thunderbird-source.tar
Source1:	thunderbird-icons.tar
Source3:	thunderbird.desktop
Source4:	thunderbird-enigmail.tar

Patch3:		thunderbird-1.5-embedding-linker-fix.patch
Patch4:		thunderbind-alt-xdg-open.patch
Patch5:		thunderbird-alt-pref-fix.patch
Patch6:		01_locale.patch

Patch7:		thunderbird-alt-extensions-dir.patch
Patch8:		thunderbird-asm-directive.patch
Patch9:		thunderbird-install-paths.patch

# https://bugzilla.mozilla.org/show_bug.cgi?id=345134
Patch11:	thunderbird-gcc-4.1-fix.patch

Patch12:	firefox-nopangoxft.patch
Patch15:	thunderbird-alt-with-system-mozldap.patch

#Patch20:	thunderbird-fix-375292.patch
Patch27:	thunderbird-fix-build.patch
#Patch28:	thunderbird-use-mozsqlite.patch

BuildRequires(pre): rpm-build-mozilla.org

# Automatically added by buildreq on Fri Mar 24 2006
BuildRequires: doxygen gcc-c++ imake libfreetype-devel libgtk+2-devel libIDL-devel libjpeg-devel
BuildRequires: libpng-devel libXinerama-devel libXp-devel libXt-devel libXft-devel libXext-devel
BuildRequires: unzip xorg-cf-files zip chrpath browser-plugins-npapi-devel makedepend
BuildRequires: mozldap-devel
BuildRequires: libhunspell-devel libalsa-devel python-modules-logging
BuildRequires: libnotify-devel libwireless-devel
BuildRequires: libcairo-devel libpixman-devel

BuildRequires:	libnspr-devel       >= 4.8.7-alt0.M50P.1
BuildRequires:	libnss-devel        >= 3.12.9.0-alt0.M50P.1
BuildRequires:	libnss-devel-static >= 3.12.9.0-alt0.M50P.1
BuildRequires:	xulrunner-devel     >= 2.0.0.0-alt0.M50P.1
BuildRequires:	libsqlite3-devel    >= 3.7.4-alt1.M50P.1

Provides:	mailclient
Obsoletes:	thunderbird-calendar

Requires:	browser-plugins-npapi xdg-utils

Requires:	libnspr       >= 4.8.7-alt0.M50P.1
Requires:	libnss        >= 3.12.9.0-alt0.M50P.1
Requires:	libsqlite3    >= 3.7.4-alt1.M50P.1

BuildRequires: autoconf_2.13
%set_autoconf_version 2.13

%description
Thunderbird is Mozilla's next generation e-mail client.
Thunderbird makes emailing safer, faster and easier than
ever before and can also scale to meet the most sophisticated
organizational needs.

%if_with gnome
%package gnome-support
Summary:	Thunderbird gnome support
Group:		Networking/Mail
Requires:	%name = %version-%release
Provides:	thunderbird-gnome-support = %version-%release
Obsoletes:	thunderbird-gnome-support

BuildRequires:	gnome-vfs-devel libgnomeui-devel libgnome-devel libdbus-glib-devel

%description gnome-support
GNOME support in Thunderbird.
%endif

%if_with enigmail
%package enigmail
%define enigmail_ciddir %tbird_arch_extensionsdir/\{847b3a00-7ab1-11d4-8f02-006008948af5\}
#Version: 1.1.2
#Release: alt1
Summary: Enigmail - GPG support for Mozilla Thunderbird
Group: Networking/Mail
Url: http://enigmail.mozdev.org/

Obsoletes: thunderbird-enigmail < 0.95.7-alt2

%description enigmail
Enigmail is an extension to the mail client of Mozilla / Netscape 7.x 
which allows users to access the authentication and encryption features 
provided by the popular GnuPG software.
%endif

%if_with lightning
%package lightning
%define lightning_ciddir %tbird_arch_extensionsdir/\{e2fda1a4-762b-4020-b5ad-a41df1933103\}
#Version: 1.0.20090301
#Release: alt1
Summary: An integrated calendar for Thunderbird
Group: Office
Url: http://www.mozilla.org/projects/calendar/lightning/

%description lightning
An integrated calendar for Thunderbird.

%package google-calendar
%define google_calendar_ciddir %tbird_noarch_extensionsdir/\{a62ef8ec-5fdc-40c2-873c-223b8a6925cc\}
#Version: 0.9
#Release: alt1
Summary: Provider for Google Calendar
Group: Office
Url: http://www.mozilla.org/projects/calendar/lightning/

Requires: thunderbird-lightning
Provides: gdata-provider = %version-%release

%description google-calendar
Allows bidirectional access to Google Calendar

%package calendar-timezones
%define calendar_timezones_ciddir %tbird_noarch_extensionsdir/calendar-timezones@mozilla.org
#Version: 1.2009a
#Release: alt1
Summary: Timezone Definitions for Mozilla Calendar
Group: Office
Url: http://www.mozilla.org/projects/calendar/lightning/

%description calendar-timezones
Timezone definitions required by Sunbird and Lightning
%endif

%package -n rpm-build-thunderbird
Summary: 	RPM helper macros to rebuild thunderbird packages
Group:		Development/Other
BuildArch:	noarch

Requires:	rpm-build-mozilla.org

%description -n rpm-build-thunderbird
These helper macros provide possibility to rebuild
thunderbird packages by some Alt Linux Team Policy compatible way.

%prep
%setup -q -n %name-%version -c
%setup -q -n %name-%version/mozilla -T -D -a1

%if_with enigmail
tar -xf %SOURCE4
mv -f enigmail mailnews/extensions/enigmail
%endif

#patch3 -p1 -b .fix3
%patch4 -p1 -b .fix4
%patch5 -p1 -b .fix5
%patch6 -p1 -b .fix6
%patch7 -p1 -b .fix7
%patch8 -p1 -b .fix8
%patch9 -p1 -b .fix9
%patch15 -p1 -b .fix15
##patch20 -p1 -b .fix20
#patch27 -p1 -b .fix27
#patch28 -p1 -b .fix28

echo %version > mail/config/version.txt
echo %version > mail/config/version-191.txt

%build
%add_optflags %optflags_shared
%add_findprov_lib_path %tbird_prefix

sed -i -e 's|AC_CONFIG_AUX_DIR(\${MOZILLA_SRCDIR}/build/autoconf)|AC_CONFIG_AUX_DIR(mozilla/build/autoconf)|' configure.in
%__autoconf

cd mozilla
sed -i -e 's|AC_CONFIG_AUX_DIR(\${srcdir}/build/autoconf)|AC_CONFIG_AUX_DIR(build/autoconf)|' configure.in
ln -s "$PWD/configure" build/autoconf/configure
%__autoconf
cd -

cd mozilla/js/src
sed -i -e 's|AC_CONFIG_AUX_DIR(\${srcdir}/build/autoconf)|AC_CONFIG_AUX_DIR(build/autoconf)|' configure.in
ln -s "$PWD/configure" build/autoconf/configure
%__autoconf
cd -

# Add fake RPATH
rpath="/$(printf %%s '%tbird_prefix' |tr '[:print:]' '_')"
export LDFLAGS="$LDFLAGS -Wl,-rpath,$rpath"
export LIBIDL_CONFIG=/usr/bin/libIDL-config-2

%configure \
	--includedir=%_includedir \
	--disable-activex \
	--disable-activex-scripting \
	--disable-tests \
	--disable-installer \
	--disable-updater \
	--disable-crashreporter \
	--disable-mochitest \
	--disable-freetype2 \
	--disable-javaxpcom \
	--disable-elf-dynstr-gc \
	--disable-necko-wifi \
	--disable-dbus \
	--disable-feeds \
	--enable-xft \
	--enable-crypto \
	--enable-application=mail \
	--enable-optimize="-O2" \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-canvas \
	--enable-jemalloc \
	--enable-oji \
	--enable-old-abi-compat-wrappers \
%if_with debug
	--disable-strip \
	--enable-debug \
	--enable-debug-modules \
	--enable-logrefcnt \
	--enable-debugger-info-modules \
	--enable-detect-webshell-leaks \
%else
	--enable-strip \
	--enable-install-strip \
	--disable-debug \
%endif # debug
%if_with branding
	--enable-branding \
	--enable-official-branding \
%endif
%if_with svg
	--enable-svg \
  	--enable-svg-renderer-cairo \
%endif # svg
%if_with libxul
	--enable-libxul \
	--with-libxul-sdk=%xulr_develdir \
%endif # libxul
%if_with sqlite
	--enable-system-sqlite \
%endif # sqlite
%if_with mozldap
	--enable-ldap \
	--with-system-mozldap \
%else
	--disable-ldap \
%endif # mozldap
%if_with hunspell
	--enable-system-hunspell \
%endif # hunspell
%if_with lightning
	--enable-calendar \
%endif
%if_with gnome
	--enable-extensions="default,gnomevfs" \
	--enable-gnomeui \
	--enable-gnomevfs \
	--enable-dbus \
%else
	--enable-extensions="default" \
%endif
	\
	--without-system-png \
	--disable-system-lcms \
	\
	--enable-storage \
	--enable-system-cairo \
	--with-system-nspr \
	--with-system-nss \
	--with-system-jpeg \
	--with-system-zlib \
	--with-system-bz2 \
	--with-pthreads \
	#

%make_build

%if_with enigmail
dir="$PWD"
cd mailnews/extensions/enigmail
	./makemake -r
	%make_build
	%make_build xpi
	mv -f -- \
		$dir/mozilla/dist/bin/enigmail-*.xpi \
		$dir/mozilla/dist/xpi-stage/enigmail.xpi
	%make_build clean
cd -

# everybody lie ... 'make clean' lie!
for f in \
	components/enigprefs-service.js \
	components/enigMsgCompFields.js \
	components/enigmail.js \
	components/enigmail.xpt \
	components/ipc.xpt \
	components/enigmime.xpt \
	components/libipc.so \
	components/libenigmime.so \
	defaults/preferences/enigmail.js \
	defaults/pref/enigmail.js \
	chrome/enigmail.jar \
	chrome/enigmail-skin.jar \
	chrome/enigmail-en-US.jar \
	chrome/enigmime.jar \
	platform/Linux_x86-gcc3/components/libenigmime-x86-gcc3.so \
	wrappers/gpg-wrapper.sh;
do
	t="$dir/mozilla/dist/bin/$f"
	rm -f -- "$t" ||:

	t="${t%%/*}"
	while [ "$t" != "$dir/mozilla/dist/bin" ]; do
		rmdir -- "$t" ||:
		t="${t%%/*}"
	done
done
%endif

%install
%__mkdir_p \
	%buildroot/%_bindir \
	%buildroot/%tbird_arch_extensionsdir \
	%buildroot/%tbird_noarch_extensionsdir \
	%buildroot/%_datadir/applications \
	#

# Add real RPATH
rpath="/$(printf %%s '%tbird_prefix' |tr '[:print:]' '_')"
find mozilla/dist/bin mozilla/dist/xpi-stage -type f | 
while read f; do
	t="$(readlink -ev "$f")"
	file "$t" | grep -qs ELF || continue
	if chrpath -l "$t" | fgrep -qs "RPATH=$rpath"; then
		chrpath -r "%tbird_prefix" "$t"
	fi
done

# thunderbird3 uninstallable
find -L mozilla/dist/bin ! -type d -printf '%%h %%f\n' |
while read b f; do
	d="${b#mozilla/dist/bin}"
	mkdir -p --    "%buildroot/%tbird_prefix/$d"
	cp -pL "$b/$f" "%buildroot/%tbird_prefix/$d/$f"
done

rm -rf -- \
	%buildroot/%tbird_prefix/js \
	%buildroot/%tbird_prefix/regxpcom \
	%buildroot/%tbird_prefix/xpcshell \
	%buildroot/%tbird_prefix/xpidl \
	%buildroot/%tbird_prefix/xpt_dump \
	%buildroot/%tbird_prefix/xpt_link \
	%buildroot/%tbird_prefix/nsinstall \
	#

sed -i \
	-e 's,^\(Version\)=.*,\1=%version,g' \
	-e 's,^\(MinVersion\)=.*,\1=1.9.2.0,g' \
	-e 's,^\(MaxVersion\)=.*,\1=2.0.*,g' \
	%buildroot/%tbird_prefix/application.ini

mv -f -- %buildroot/%tbird_prefix/thunderbird %buildroot/%_bindir/

# desktop file
install -D -m 644 %SOURCE3 %buildroot/%_datadir/applications/thunderbird.desktop

# icons
install -D -m 644 tbird-48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 tbird-32.png %buildroot/%_niconsdir/%name.png
install -D -m 644 tbird-16.png %buildroot/%_miconsdir/%name.png

# url_handler script
cat>%buildroot/%tbird_prefix/%name-mailto<<-EOF
	#!/bin/sh -e
	arg="\$*"
	[ "\${arg%%%%:*}" = "mailto" ] || arg="mailto:\$arg"
	%_bindir/thunderbird "\$arg"
EOF
chmod +x %buildroot/%tbird_prefix/%name-mailto

# rpm-build-thunderbird files
mkdir -p \
	%buildroot/%_sysconfdir/rpm/macros.d \
	%buildroot/%_rpmlibdir

cp -a rpm/rpm-build/rpm.macros %buildroot/%_sysconfdir/rpm/macros.d/%name
cp -at %buildroot/%_rpmlibdir -- rpm/rpm-build/thunderbird.req*

sed -i \
	-e 's,@tbird_version@,%version,' \
	-e 's,@tbird_release@,%release,' \
	%buildroot/%_sysconfdir/rpm/macros.d/%name

%if_with enigmail
mkdir -p %buildroot/%enigmail_ciddir
unzip -q -u -d %buildroot/%enigmail_ciddir -- \
	mozilla/dist/xpi-stage/enigmail.xpi
%endif

%if_with lightning
mkdir -p %buildroot/%lightning_ciddir
unzip -q -u -d %buildroot/%lightning_ciddir -- \
	mozilla/dist/xpi-stage/lightning.xpi

mkdir -p %buildroot/%google_calendar_ciddir
unzip -q -u -d %buildroot/%google_calendar_ciddir -- \
	mozilla/dist/xpi-stage/gdata-provider.xpi

mkdir -p %buildroot/%calendar_timezones_ciddir
unzip -q -u -d %buildroot/%calendar_timezones_ciddir -- \
	mozilla/dist/xpi-stage/calendar-timezones.xpi

rm -rf -- %buildroot/%tbird_arch_extensionsdir/calendar-timezones@mozilla.org
rm -f -- %buildroot/%lightning_ciddir/application.ini
%endif

%pre
if [ -L "%_libdir/%name" ]; then
	d="$(readlink -ev "%_libdir/%name" 2>/dev/null)" &&
		rm -rf -- "%_libdir/%name" "$d" ||:
fi
if [ -L "%_datadir/%name" ]; then
	d="$(readlink -ev "%_datadir/%name" 2>/dev/null)" &&
		rm -rf -- "%_datadir/%name" "$d" ||:
fi

%preun
if [ "$1" = "0" ]; then
	[ ! -d "%tbird_arch_extensionsdir" ] || rm -rf "%tbird_arch_extensionsdir"
	[ ! -d "%tbird_noarch_extensionsdir" ] || rm -rf "%tbird_noarch_extensionsdir"
fi

%files 
%_bindir/*
%tbird_prefix
%tbird_datadir
%defattr(0644,root,root,0755)
%_datadir/applications/%name.desktop
%_niconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%if_with enigmail
%exclude %enigmail_ciddir
%endif
%if_with lightning
%exclude %lightning_ciddir
%exclude %google_calendar_ciddir
%exclude %calendar_timezones_ciddir
%endif
%if_with gnome
%exclude %tbird_prefix/components/libnkgnomevfs.so
%exclude %tbird_prefix/components/libmozgnome.so
%endif

%if_with gnome
%files gnome-support
%tbird_prefix/components/libnkgnomevfs.so
%tbird_prefix/components/libmozgnome.so
%endif

%if_with enigmail
%files enigmail
%enigmail_ciddir
%endif

%if_with lightning
%files lightning
%lightning_ciddir

%files google-calendar
%google_calendar_ciddir

%files calendar-timezones
%calendar_timezones_ciddir
%endif

%files -n rpm-build-thunderbird
%_rpmlibdir/*
%_sysconfdir/rpm/macros.d/%name

%changelog
* Wed Apr 13 2011 Andrey Cherepanov <cas@altlinux.org> 3.1.9-alt0.20110409.M50P.1
- Backport to p5 branch (new snapshot (3.1.9 20110409)

* Sat Apr 09 2011 Alexey Gladkov <legion@altlinux.ru> 3.1.9-alt1.20110409
- New snapshot (3.1.9 20110409).
- Use xdg-open (ALT#25403).

* Tue Mar 08 2011 Alexey Gladkov <legion@altlinux.ru> 3.1.9-alt1.20110308
- New version (3.1.9 20110308).
- Fixed:
  + MFSA 2011-09 Crash caused by corrupted JPEG image
  + MFSA 2011-08 ParanoidFragmentSink allows javascript: URLs in chrome documents
  + MFSA 2011-01 Miscellaneous memory safety hazards (rv:1.9.2.14/ 1.9.1.17)

* Sun Jan 23 2011 Alexey Gladkov <legion@altlinux.ru> 3.1.7-alt1.20110123
- New snapshot (3.1.7 20110123)
- Fix update request (ALT#23867)

* Sun Aug 15 2010 Alexey Gladkov <legion@altlinux.ru> 3.1.2-alt1.20100815
- New snapshot (3.1.2 20100810)
- Fixed:
  + MFSA 2010-47 Cross-origin data leakage from script filename in error messages
  + MFSA 2010-46 Cross-domain data theft using CSS
  + MFSA 2010-44 Characters mapped to U+FFFD in 8 bit encodings cause subsequent character to vanish
  + MFSA 2010-43 Same-origin bypass using canvas context
  + MFSA 2010-42 Cross-origin data disclosure via Web Workers and importScripts
  + MFSA 2010-41 Remote code execution using malformed PNG image
  + MFSA 2010-40 nsTreeSelection dangling pointer remote code execution vulnerability
  + MFSA 2010-39 nsCSSValue::Array index integer overflow
  + MFSA 2010-38 Arbitrary code execution using SJOW and fast native function
  + MFSA 2010-34 Miscellaneous memory safety hazards (rv:1.9.2.7/ 1.9.1.11)

* Tue Jun 29 2010 Alexey Gladkov <legion@altlinux.ru> 3.1.1-alt1.20100626
- New snapshot

* Mon Apr 05 2010 Alexey Gladkov <legion@altlinux.ru> 3.0.4-alt1.20100404
- New snapshot (3.0.4 20100404)
- Add gnome support.
- Fixed:
  + MFSA 2010-24 XMLDocument::load() doesn't check nsIContentPolicy
  + MFSA 2010-22 Update NSS to support TLS renegotiation indication
  + MFSA 2010-18 Dangling pointer vulnerability in nsTreeContentView
  + MFSA 2010-17 Remote code execution with use-after-free in nsTreeSelection
  + MFSA 2010-16 Crashes with evidence of memory corruption (rv:1.9.2.2/ 1.9.1.9/ 1.9.0.19)

* Thu Jan 28 2010 Alexey Gladkov <legion@altlinux.ru> 3.0.1-alt1.20100128
- New snapshot (3.0.1 20100128)

* Thu Nov 26 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20091126
- New snapshot (3.0 20091126)

* Sun Oct 18 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20091018
- New snapshot (3.0 20091018)

* Sun Oct 11 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20091010
- New snapshot (3.0 20091010)

* Tue Sep 29 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20090929
- New snapshot (3.0 20090929)

* Tue Sep 01 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20090917
- New snapshot (3.0 20090917)

* Mon Aug 17 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20090817
- New snapshot (3.0 20090817)

* Wed Jul 29 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20090729
- New snapshot (3.0 20090729)

* Mon Jun 01 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20090601
- New snapshot (3.0 20090601)

* Sun Apr 26 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20090424
- New snapshot (3.0 20090424)

* Thu Mar 12 2009 Alexey Gladkov <legion@altlinux.ru> 3.0-alt1.20090312
- New snapshot (3.0 20090312)
- Use system mozsqlite3 (sqlite3 unsupported)

* Mon Nov 24 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.0.18-alt1
- New version (2.0.0.18)
- Fixed:
    + MFSA 2008-59 Script access to .documentURI and .textContent in mail
    + MFSA 2008-58 Parsing error in E4X default namespace
    + MFSA 2008-56 nsXMLHttpRequest::NotifyEventListeners() same-origin violation
    + MFSA 2008-55 Crash and remote code execution in nsFrameManager
    + MFSA 2008-52 Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
    + MFSA 2008-50 Crash and remote code execution via __proto__ tampering
    + MFSA 2008-48 Image stealing via canvas and HTTP redirect

* Tue Nov 18 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.0.17-alt1
- New version (2.0.0.17)
- Fixed:
    + MFSA 2008-46 Heap overflow when canceling newsgroup message
    + MFSA 2008-44 resource: traversal vulnerabilities
    + MFSA 2008-43 BOM characters stripped from JavaScript before execution
    + MFSA 2008-42 Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17)
    + MFSA 2008-41 Privilege escalation via XPCnativeWrapper pollution
    + MFSA 2008-38 nsXMLDocument::OnChannelRedirect() same-origin violation
    + MFSA 2008-37 UTF-8 URL stack buffer overflow
    + MFSA 2008-34 Remote code execution by overflowing CSS reference counter
    + MFSA 2008-33 Crash and remote code execution in block reflow
    + MFSA 2008-31 Peer-trusted certs can use alt names to spoof
    + MFSA 2008-29 Faulty .properties file results in uninitialized memory being used
    + MFSA 2008-26 Buffer length checks in MIME processing
    + MFSA 2008-25 Arbitrary code execution in mozIJSSubScriptLoader.loadSubScript()
    + MFSA 2008-24 Chrome script loading from fastload file
    + MFSA 2008-21 Crashes with evidence of memory corruption (rv:1.8.1.15)

* Thu Jul 17 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.0.14-alt2
- Bugfix build.
- Dont use LD_LIBRARY_PATH in startup scripts.

* Sun May 11 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.0.14-alt1
- New version (2.0.0.14)
- Fixed:
    + MFSA 2008-15 Crashes with evidence of memory corruption (rv:1.8.1.13)
    + MFSA 2008-14 JavaScript privilege escalation and arbitrary code execution

* Sun Mar 02 2008 Alexey Gladkov <legion@altlinux.ru> 2.0.0.12-alt1
- New version (2.0.0.12)
- Fixed:
    + MFSA 2008-12 Heap buffer overflow in external MIME bodies
    + MFSA 2008-05 Directory traversal via chrome: URI
    + MFSA 2008-03 Privilege escalation, XSS, Remote Code Execution
    + MFSA 2008-01 Crashes with evidence of memory corruption (rv:1.8.1.12)
    + MFSA 2007-36 URIs with invalid %-encoding mishandled by Windows
    + MFSA 2007-29 Crashes with evidence of memory corruption (rv:1.8.1.8)
    + MFSA 2007-27 Unescaped URIs passed to external programs
    + MFSA 2007-26 Privilege escalation through chrome-loaded about:blank windows

* Thu Aug 02 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.6-alt1
- New version (2.0.0.6)
- Fixed:
    + MFSA 2007-27 Unescaped URIs passed to external programs
    + MFSA 2007-26 Privilege escalation through chrome-loaded about:blank windows

* Fri Jul 20 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.5-alt1
- New version (2.0.0.5)
- Fixed:
    + MFSA 2007-23 Remote code execution by launching Firefox from Internet Explorer
    + MFSA 2007-18 Crashes with evidence of memory corruption

* Fri Jun 29 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.4-alt1
- New version (2.0.0.4)
- Fix normal icons.
- Fixed:
    + MFSA 2007-15 Security Vulnerability in APOP Authentication
    + MFSA 2007-12 Crashes with evidence of memory corruption (rv:1.8.0.12/1.8.1.4)

* Sun Apr 22 2007 Alexey Gladkov <legion@altlinux.ru> 2.0.0.0-alt1
- New version (2.0.0.0)
- Many bugfixes (see http://weblogs.mozillazine.org/rumblingedge/archives/2007/03/tb_2.html).
- Add RSS files (again).

* Tue Feb 27 2007 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1.b2
- New version (2.0 Beta 2)

* Thu Nov 23 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.8-alt1
- New version (1.5.0.8)
- Remove version specific paths.
- Add %%pre script.
- Improvements to product stability.
- Fixed:
    + MFSA 2006-67 Running Script can be recompiled
    + MFSA 2006-66 RSA signature forgery (variant)
    + MFSA 2006-65 Crashes with evidence of memory corruption (rv:1.8.0.8)
    + MFSA 2006-64 Crashes with evidence of memory corruption (rv:1.8.0.7)
    + MFSA 2006-63 JavaScript execution in mail via XBL
    + MFSA 2006-60 RSA Signature Forgery
    + MFSA 2006-59 Concurrency-related vulnerability
    + MFSA 2006-58 Auto-Update compromise through DNS and SSL spoofing
    + MFSA 2006-57 JavaScript Regular Expression Heap Corruption

* Thu Aug 17 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.5-alt1
- New version (1.5.0.5)
- Build with MozLDAP support.
- Improvements to product stability.
- Fixed:
    + MFSA 2006-55 Crashes with evidence of memory corruption (rv:1.8.0.5)
    + MFSA 2006-54 XSS with XPCNativeWrapper(window).Function(...)
    + MFSA 2006-53 UniversalBrowserRead privilege escalation
    + MFSA 2006-52 PAC privilege escalation using Function.prototype.call
    + MFSA 2006-51 Privilege escalation using named-functions and redefined "new Object()"
    + MFSA 2006-50 JavaScript engine vulnerabilities
    + MFSA 2006-49 Heap buffer overwrite on malformed VCard
    + MFSA 2006-48 JavaScript new Function race condition
    + MFSA 2006-47 Native DOM methods can be hijacked across domains
    + MFSA 2006-46 Memory corruption with simultaneous events
    + MFSA 2006-44 Code execution through deleted frame reference

* Tue May 02 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.2-alt1
- New bugfix version.
- Improvements to product stability.
- Fixed:
    + MFSA 2006-28 Security check of js_ValueToFunctionObject() can be circumvented;
    + MFSA 2006-27 Table Rebuilding Code Execution Vulnerability;
    + MFSA 2006-26 Mail Multiple Information Disclosure;
    + MFSA 2006-25 Privilege escalation through Print Preview;
    + MFSA 2006-24 Privilege escalation using crypto.generateCRMFRequest;
    + MFSA 2006-22 CSS Letter-Spacing Heap Overflow Vulnerability;
    + MFSA 2006-21 JavaScript execution in mail when forwarding in-line;
    + MFSA 2006-20 Crashes with evidence of memory corruption (rv:1.8.0.2);
    + MFSA 2006-08 "AnyName" entrainment and access control hazard;
    + MFSA 2006-07 Read beyond buffer while parsing XML;
    + MFSA 2006-06 Integer overflows in E4X, SVG and Canvas;
    + MFSA 2006-05 Localstore.rdf XML injection through XULDocument.persist();
    + MFSA 2006-04 Memory corruption via QueryInterface on Location, Navigator objects;
    + MFSA 2006-02 Changing postion:relative to static corrupts memory;
    + MFSA 2006-01 JavaScript garbage-collection hazards.

* Fri Mar 24 2006 Alexey Gladkov <legion@altlinux.ru> 1.5-alt2
- bugfix build.
- share extension directory fix.

* Tue Feb 21 2006 Alexey Gladkov <legion@altlinux.ru> 1.5-alt1
- new version 1.5
- build with rpm-build-thunderbird (external build macros)
- Build with system NSS and NSPR.
- Buildrequires updated for xorg-7.0 
- directory /usr/share/thunderbird-@version@/extensions was added to extensions search path .
  * this location is controled by the option extensions.dir.extensions .
- Startup script rewritten. Now it is single script.
  * command line shortcut added: altmail:MAILLIST 
    (example: "altmail:devel" -> mailto:devel@list.altlinux.org).
- LDAP support disabled.
- firsttime script removed
- NoX patch removed

* Wed Aug 24 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt2
- packaging bugfix.
- rpm mascros bugfix.
- The script is added for switching language after installation/removal 
  of a localization package.
- Bug: #6204, #6254 fixed.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1
- new version.
- firsttime script added.

* Wed May 11 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.2-alt1
- new version;
- RSS missing files add;

* Tue Feb 01 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt4
- update patch thunderbird-1.0-20050201-alt-nox.patch 
  * uninstall-global-theme command-line option was added;
  * update-register command-line option was added;
- thunderbird-1.0-alt-rpm-scripts.tar.bz2 bugfix;

* Thu Jan 27 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt3
- fix crush when comiling with gcc3.4 .

* Wed Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- Rebuilt with libstdc++.so.6.

* Thu Jan 06 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- new version;
- new extension load scheme;
- uninstall-global-extension option fixed;
- add RPATH=%%_libdir/%%fullname to the all binares;
- rpm macros was updated;
- %%post_ldconfig and %%postun_ldconfig was removed.
- icons updated (thx shrek@);

* Tue Jul 16 2004 Alexey Morozov <morozov@altlinux.org> 0.7.2-alt2
- new version (0.7.2)
- rpm macros file is splitted to base and devel parts
- Russian spec translation
- A patch to handle external URLs w/ url_handler
- Requirements cleanup

* Fri May 07 2004 Alexey Gladkov <legion@altlinux.ru> 0.6-alt1
- New version;
- Splash screen added;
- Default userContent.css added;
- Offline extension added by default;
- Confilct between mozilla-like devel packages was removed.

* Wed Feb 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.5-alt1
- New version.

* Tue Jan 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.4-alt4
- Spec changes.

* Fri Dec 26 2003 Alexey Gladkov <legion@altlinux.ru> 0.4-alt3
- first build for ALT Linux.
- rpm macro added.
- new scheme loading extensions added (thx force@)
- Spec modifications.
